/*****
*
* This file is part of the OVPlayer program.
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by 
* the Free Software Foundation; either version 2, or (at your option)
* any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; see the file COPYING.  If not, write to
* the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*
*****/

#include <gtk/gtk.h>

void hscrollbar1_value_changed(GtkAdjustment *adjustment, gpointer user_data);

void
on_open1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_close1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_prevtrack_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_rewind_pressed                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_rewind_released                     (GtkButton       *button,
                                        gpointer         user_data);

void
on_playpause_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_stop_clicked                        (GtkButton       *button,
                                        gpointer         user_data);

void
on_fforward_pressed                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_fforward_released                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_nexttrack_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

gboolean sb_mdown(GtkWidget *wid, GdkEventButton *ev, gpointer d);

gboolean sb_mup(GtkWidget *wid, GdkEventButton *ev, gpointer d);

